Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 23-09-2022 10:31:03

Pierre16
Membre
Distrib. : Bullseye
Noyau : Linux 5.10.0-16-amd64
(G)UI : XFCE 4-12
Inscription : 26-01-2017

Installation CAPTVTY sur Bullseye [Résolu]

Bonjour,

J'ai déjà installé Captvty sur buster sans trop de difficultés.
Je suis maintenant sur Bullseye et j'hésite avant une nouvelle installation.
La version de  wine-5.0.3 est déjà installée.
Cela est-il toujours possible ?
Si oui,quelle méthode dois-je suivre ?

Merci pour vos conseils

Dernière modification par Pierre16 (23-09-2022 21:02:38)

Hors ligne

#2 23-09-2022 10:53:12

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Installation CAPTVTY sur Bullseye [Résolu]

hello
j'ai pas essayé mais ce doit toujours être possible je pense
si wine est installé tu reprends a l'étape 5
https://debian-facile.org/doc:media:captvty
l'installation des dernières modifications de winetrick depuis github n'est peut être pas nécessaire ,c'est seulement au cas ou les scripts d'installation des composants Windows ne fonctionne pas

Dernière modification par Croutons (23-09-2022 10:53:33)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#3 23-09-2022 11:57:42

Pierre16
Membre
Distrib. : Bullseye
Noyau : Linux 5.10.0-16-amd64
(G)UI : XFCE 4-12
Inscription : 26-01-2017

Re : Installation CAPTVTY sur Bullseye [Résolu]

Je trouve 2 choses bizarres ....

root@PC-PIT16-DE:~# apt-get install -y libgnome-keyring1.0-cil-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'
état... Fait      
E: Impossible de trouver le paquet libgnome-keyring1.0-cil-dev
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « libgnome-keyring1.0-cil-dev »
E: Impossible de trouver de paquet correspondant à l'
expression rationnelle « libgnome-keyring1.0-cil-dev »
 




$ /usr/bin/winetricks dotnet45
------------------------------------------------------
warning: Your version of wine 5.0.3 is no longer supported upstream. You should upgrade to 6.x
------------------------------------------------------
Executing mkdir -p /home/pit16
------------------------------------------------------
warning: You are using a 64-bit WINEPREFIX. Note that many verbs only install 32-bit versions of packages. If you encounter problems, please retest in a clean 32-bit WINEPREFIX before reporting a bug.
------------------------------------------------------
------------------------------------------------------
WINEPREFIX INFO:
Drive C: total 28
drwxr-xr-x  7 pit16 pit16 4096 12 sept. 19:04 .
drwxr-xr-x  4 pit16 pit16 4096 14 sept. 16:19 ..
drwxr-xr-x  4 pit16 pit16 4096 12 sept. 19:05 ProgramData
drwxr-xr-x  6 pit16 pit16 4096 12 sept. 19:04 Program Files
drwxr-xr-x  9 pit16 pit16 4096 14 sept. 13:07 Program Files (x86)
drwxr-xr-x  4 pit16 pit16 4096 12 sept. 19:04 users
drwxr-xr-x 21 pit16 pit16 4096 12 sept. 19:44 windows

Registry info:
/home/pit16/.wine/system.reg:#arch=win64
/home/pit16/.wine/user.reg:#arch=win64
/home/pit16/.wine/userdef.reg:#arch=win64
------------------------------------------------------
------------------------------------------------------
warning: wine cmd.exe /c echo '%AppData%' returned empty string, error message "wine: '/home/pit16/.wine' is a 64-bit installation, it cannot be used with a 32-bit wineserver."
 



Je me suis arrêté là pour demander ton avis.

Hors ligne

#4 23-09-2022 12:09:28

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Installation CAPTVTY sur Bullseye [Résolu]

libgnome-keyring1.0-cil-dev n'existe plus c'est dit dans la note en dessous , seulement pour Jessie et Stretch

ah oui il faut surement l'étape 3

export WINEARCH=win32


dpkg --add-architecture i386 && apt-get update


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#5 23-09-2022 12:54:27

Pierre16
Membre
Distrib. : Bullseye
Noyau : Linux 5.10.0-16-amd64
(G)UI : XFCE 4-12
Inscription : 26-01-2017

Re : Installation CAPTVTY sur Bullseye [Résolu]

Je retrouve toujours la même erreur ....

pit16@PC-PIT16-DE:~$ /usr/bin/winetricks dotnet45
------------------------------------------------------
warning: Your version of wine 5.0.3 is no longer supported upstream. You should upgrade to 6.x
------------------------------------------------------
Executing mkdir -p /home/pit16
------------------------------------------------------
warning: You are using a 64-bit WINEPREFIX. Note that many verbs only install 32-bit versions of packages. If you encounter problems, please retest in a clean 32-bit WINEPREFIX before reporting a bug.
------------------------------------------------------
------------------------------------------------------
WINEPREFIX INFO:
Drive C: total 28
drwxr-xr-x  7 pit16 pit16 4096 12 sept. 19:04 .
drwxr-xr-x  4 pit16 pit16 4096 14 sept. 16:19 ..
drwxr-xr-x  4 pit16 pit16 4096 12 sept. 19:05 ProgramData
drwxr-xr-x  6 pit16 pit16 4096 12 sept. 19:04 Program Files
drwxr-xr-x  9 pit16 pit16 4096 14 sept. 13:07 Program Files (x86)
drwxr-xr-x  4 pit16 pit16 4096 12 sept. 19:04 users
drwxr-xr-x 21 pit16 pit16 4096 12 sept. 19:44 windows

Registry info:
/home/pit16/.wine/system.reg:#arch=win64
/home/pit16/.wine/user.reg:#arch=win64
/home/pit16/.wine/userdef.reg:#arch=win64
------------------------------------------------------
------------------------------------------------------
warning: wine cmd.exe /c echo '%AppData%' returned empty string, error message "wine: '/home/pit16/.wine' is a 64-bit installation, it cannot be used with a 32-bit wineserver."
---------------------------

Hors ligne

#6 23-09-2022 13:58:24

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Installation CAPTVTY sur Bullseye [Résolu]

ah c'est peut être car le répertoire est déjà créé
ça donne quoi

grep '#arch' ~/.wine/system.reg

Dernière modification par Croutons (23-09-2022 14:00:06)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#7 23-09-2022 14:14:28

Pierre16
Membre
Distrib. : Bullseye
Noyau : Linux 5.10.0-16-amd64
(G)UI : XFCE 4-12
Inscription : 26-01-2017

Re : Installation CAPTVTY sur Bullseye [Résolu]

pit16@PC-PIT16-DE:~$ grep '#arch' ~/.wine/system.reg
#arch=win64
 

Hors ligne

#8 23-09-2022 15:02:51

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Installation CAPTVTY sur Bullseye [Résolu]

oui c'est bien ce que j'ai remarqué en machine virtuel une fois le répertoire .wine créé avec l'architecture win64  WINEARCH n'a plus d'effet
je m'appuie souvent sur le wiki arch qui est bien documenté , et la par chance il y a une version français
https://wiki.archlinux.org/title/Wine_( … WINEPREFIX
donc de ce que je comprend il te faut renommer ton dossier .wine pour changer l'architecture en recréant un nouveau, a moins que d'autre application fonctionne déjà avec wine
et après pour recréer un nouveau

WINEARCH=win32 winecfg



edit: Pour renommer vite fait le dossier en .wine_old (on peut aussi par le gestionnaire de fichier vu que il appartient a l'utilisateur)

mv ~/.wine ~/.wine_old



puis on recréé un tout neuf avec la bonne architecture

WINEARCH=win32 winecfg



et du coup on est bien en win32

grep '#arch' ~/.wine/system.reg


#arch=win32



ça devrait rouler

/usr/bin/winetricks dotnet45

Dernière modification par Croutons (23-09-2022 15:41:18)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#9 23-09-2022 17:14:00

Pierre16
Membre
Distrib. : Bullseye
Noyau : Linux 5.10.0-16-amd64
(G)UI : XFCE 4-12
Inscription : 26-01-2017

Re : Installation CAPTVTY sur Bullseye [Résolu]

Je suis passé de wine 64 à 32 sans problème.
Je bloque un peu plus loins dans l'installation ....
Voici :

pit16@PC-PIT16-DE:~$ wget http://captvty.fr/getflash -O flash11.exe
--2022-09-23 17:07:01--  http://captvty.fr/getflash
Résolution de captvty.fr (captvty.fr)… 213.186.33.19
Connexion à captvty.fr (captvty.fr)|213.186.33.19|:80… connecté.
requête HTTP transmise, en attente de la réponse… 302 Found
Emplacement : http://fpdownload.macromedia.com/pub/flashplayer/latest/help/install_flash_player_ax.exe [suivant]
--2022-09-23 17:07:01--  http://fpdownload.macromedia.com/pub/flashplayer/latest/help/install_flash_player_ax.exe
Résolution de fpdownload.macromedia.com (fpdownload.macromedia.com)… 2a02:26f0:2b00:782::365a, 2a02:26f0:2b00:7a6::365a, 23.192.235.212
Connexion à fpdownload.macromedia.com (fpdownload.macromedia.com)|2a02:26f0:2b00:782::365a|:80… connecté.
requête HTTP transmise, en attente de la réponse… 302 Moved Temporarily
Emplacement : https://www.adobe.com/fr/products/flashplayer/end-of-life-alternative.html [suivant]
--2022-09-23 17:07:01--  https://www.adobe.com/fr/products/flashplayer/end-of-life-alternative.html
Résolution de www.adobe.com (www.adobe.com)… 2a02:26f0:1b00::5c7b:efb0, 2a02:26f0:1b00::5c7b:ef88, 92.122.218.217, ...
Connexion à www.adobe.com (www.adobe.com)|2a02:26f0:1b00::5c7b:efb0|:443… connecté.
requête HTTP transmise, en attente de la réponse…

 


Ca bloque ici plus haut !!!   En attente de la réponse ............

Hors ligne

#10 23-09-2022 19:06:29

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Installation CAPTVTY sur Bullseye [Résolu]

ah oui , ce doit plus être d'actualité l'application n'est plus supporté et le téléchargement est interrompu
essai voir en suivant les instruction du site captvty
http://captvty.fr/faq#linux
sa parait bien plus rapide si tout fonctionne

testé avec les indications du wiki c'est ok pour Debian11

Dernière modification par Croutons (24-09-2022 11:55:21)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#11 23-09-2022 20:36:33

Pierre16
Membre
Distrib. : Bullseye
Noyau : Linux 5.10.0-16-amd64
(G)UI : XFCE 4-12
Inscription : 26-01-2017

Re : Installation CAPTVTY sur Bullseye [Résolu]

Effectivement,la méthode du site captvty est impeccable.

J'ai enfin retrouvé cette application avec plaisir.

Merci encore pour ton aide.


Je passe en résolu

Hors ligne

Pied de page des forums